#ifndef NAVIGATIONTREEWIDGETITEM_H
#define NAVIGATIONTREEWIDGETITEM_H

#include <QTreeWidgetItem>
#include <QTreeWidget>
#include "Workplace.h"
#include "Utility.h"

namespace miraclient
{

namespace gui
{

class NavigationTreeWidgetItem : public QTreeWidgetItem
{

    public:
		NavigationTreeWidgetItem();
		NavigationTreeWidgetItem(QTreeWidget * parent);
		NavigationTreeWidgetItem(NavigationTreeWidgetItem * item);
        virtual ~NavigationTreeWidgetItem();
        Workplace * getWorkplace();
        void setWorkplace(Workplace * wp);
        Utility * getUtility();
        void setUtility(Utility * util);
    private:
        Utility * m_pUtil;
        Workplace * m_pWorkplace;

};
} //end gui namespace
} //end miraclient
#endif // NAVIGATIONTREEWIDGETITEM_H
