#ifndef __TOOLS_H
#define __TOOLS_H

#include <string>
#include <sstream>

// Hack to work around what seems to be a mingw-g++ bug with Qt
#define MIRA_QT_GENERIC_ARG(type, data) QGenericArgument(#type, static_cast<void*>(&(data)))

inline int StringToInt(const std::string &str)  // string to int
{
  std::stringstream strm(str);
  int rint;
  strm >> rint;

  return rint;
}

inline std::string IntToString(const int x)
{
   std::ostringstream o;
   if (o << x)
    {
      return o.str();
    }
   else
    {
    return "ERR";
    }
} // end IntToString()

#endif // __TOOLS_H
