#ifndef UTILITY_H
#define UTILITY_H

#include <string>
#include <list>

namespace miraclient
{

namespace gui
{


class Utility
{

    public:
        Utility(std::string name);
        void setName(std::string name);
        void setIcon(std::string icon);
        std::string getName();
        std::string getIcon();
        virtual ~Utility();
    protected:
    private:
        std::string m_name;
        std::string m_icon;
        //need to know about Model/View/Controller info for this utility
};

typedef std::list<Utility *> UtilityList;

} //end namespace gui

} //end namespace miraclient

#endif // UTILITY_H
