#ifndef WORKPLACE_H
#define WORKPLACE_H

#include <list>
#include <string>
#include "Utility.h"
#include "User.h"

namespace miraclient
{

namespace gui
{


class Workplace
{
    public:
        Workplace(std::string name);
        virtual ~Workplace();
        std::string getName();
        void setName(std::string name);
        void appendUtility(Utility * util);
        Utility * getUtility(std::string utilname);
        UtilityList getUtilities();
    protected:
    private:
        std::string m_name;
        UtilityList m_utilities;
        UserList m_users;
};

typedef std::list<Workplace *> WorkplaceList;

}//end namespace gui
}//end namespace miraclient

#endif // WORKPLACE_H
