/*
 * Application.cpp - by Alan Alvarez <alan.alvarez@us.army.mil>
 *
 * Mira GroupWare
 * Copyright (C) 2007-2008 Mira GroupWare Dev Team
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "Application.h"
#include "MainWindow.h"
#include "Msg.h"

namespace miraclient
{
network::Client* Application::m_client = NULL;
User             Application::user_info;
gui::MainWindow* Application::m_main_window = NULL;

void Application::start()
{
    // Put all your start-up code in here.
    network::Msg::add_token(network::Msg::USER_ACCEPTED, "UA");
    network::Msg::add_token(network::Msg::LOGIN_SUCCESSFUL, "LS");
    network::Msg::add_token(network::Msg::ERROR, "E");
    network::Msg::add_token(network::Msg::LOGIN, "L");
}

} // namespace miraclient
