#include "NavigationTreeWidgetItem.h"

using namespace miraclient::gui;

NavigationTreeWidgetItem::NavigationTreeWidgetItem(QTreeWidget * parent): QTreeWidgetItem(parent)
{
    //ctor
	m_pWorkplace = NULL;
	m_pUtil = NULL;
}

NavigationTreeWidgetItem::NavigationTreeWidgetItem(NavigationTreeWidgetItem * item): QTreeWidgetItem(static_cast<QTreeWidgetItem * > (item))
{
    //ctor
	m_pWorkplace = NULL;
	m_pUtil = NULL;
}

NavigationTreeWidgetItem::NavigationTreeWidgetItem()
{

}
NavigationTreeWidgetItem::~NavigationTreeWidgetItem()
{

}


Workplace * NavigationTreeWidgetItem::getWorkplace()
{
	return m_pWorkplace;
}

void NavigationTreeWidgetItem::setWorkplace(Workplace * wp)
{
	m_pWorkplace = wp;
}

Utility * NavigationTreeWidgetItem::getUtility()
{
	return m_pUtil;
}

void NavigationTreeWidgetItem::setUtility(Utility * util)
{
	m_pUtil = util;
}
