#include "Workplace.h"

using namespace miraclient::gui;
Workplace::Workplace(std::string name)
{
    //ctor
    setName(name);
}

Workplace::~Workplace()
{
    //dtor
}
std::string Workplace::getName()
{
    return m_name;
}

void Workplace::setName(std::string name)
{
    m_name = name;
}

void Workplace::appendUtility(Utility * util)
{
    m_utilities.push_back(util);
}

Utility * Workplace::getUtility(std::string utilname)
{

    for (UtilityList::iterator utilItem = m_utilities.begin(); utilItem !=m_utilities.end(); ++utilItem )
    {
        Utility * util = *utilItem;
        if (util->getName() == utilname)
            return util;
    }
    return NULL;
}

UtilityList Workplace::getUtilities()
{
    return m_utilities;
}
